%define ver_major 0.11

Name: gnome-bluetooth
Version: %ver_major.0
Release: alt1

Summary: The GNOME Bluetooth Subsystem
License: %gpl2plus
Group: System/Libraries
Url: http://live.gnome.org/GnomeBluetooth

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

%define libbtctl_ver 0.8.0

Requires: bluez-utils

BuildPreReq: rpm-build-licenses rpm-build-gnome

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libbtctl-devel >= %libbtctl_ver
BuildPreReq: GConf2 gob2 libglade2-devel
BuildPreReq: libGConf2-devel >= 2.3.3
BuildPreReq: libgnomeui-devel >= 1.110.0
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: python-module-pygtk-devel
BuildPreReq: gnome-vfs-devel >= 2.1.3.1
#BuildPreReq: librsvg-devel

BuildRequires: libSM-devel libbluez-devel libopenobex-devel

%description
The GNOME Bluetooth Subsystem.

%package devel
Summary: The GNOME Bluetooth Subsystem development package
Group: Development/C
Requires: %name >= %version-%release

%description devel
This package provides GNOME Bluetooth Subsystem development files.

%package -n python-module-%name
Summary: Python bindings for GNOME Bluetooth
Group: Development/Python

%description -n python-module-%name
This package contains Python bindings to use GNOME Bluetooth from Python
programs.

%prep
%setup -q

%build
%autoreconf

%configure --disable-scrollkeeper --disable-schemas-install

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

cp  %buildroot%_pixmapsdir/blueradio-48.png %buildroot%_datadir/%name/pixmaps/blueradio-48.png

%find_lang %name

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/*.so.*
%_desktopdir/*.desktop
%_pixmapsdir/blueradio-48.png
%dir %_datadir/%name
%_datadir/%name/*
%config %gconf_schemasdir/gnome-obex-server.schemas
%doc AUTHORS ChangeLog README

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%files -n python-module-%name
%dir %python_sitelibdir/gnomebt
%python_sitelibdir/gnomebt/*.so
%exclude %python_sitelibdir/gnomebt/*.la

%changelog
* Fri Oct 10 2008 Alexey Rusakov <ktirf@altlinux.org> 0.11.0-alt1
- new version (0.11.0)

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnome-bluetooth

* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 0.9.1-alt1.1
- Rebuilt with python-2.5.

* Mon Oct 22 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.1-alt1
- New version (0.9.1).
- Python bindings moved into a separate subpackage.

* Fri Jul 13 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.0-alt1
- new version (0.9.0)

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.8.0-alt2
- buildreq libSM-devel explicitly (implicit buildreq has dropped).
- use more path macros, remove %%__ macros

* Tue Nov 28 2006 Alexey Rusakov <ktirf@altlinux.org> 0.8.0-alt1
- returning the package from orphaned.
- new version
- Debian menu stuff thrown away
- updated dependencies and URL
- spec cleanup

* Tue Nov 22 2005 Vital Khilko <vk@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Tue Nov 15 2005 Vital Khilko <vk@altlinux.ru> 0.6.0-alt1
- 0.6.0
- updated belarusian translation

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 0.5.1-alt2
- belarusian translation

* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.2
- fixed build by voins@.

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.1
- First build for Sisyphus.

